from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XLabeled(Protocol):
    def setLabel(self, xTitle: XTitle) -> None: ...
    def getLabel(self) -> XTitle: ...
    def setOwnAnchor(self, aAnchorPoint: RectanglePoint) -> None: ...
    def getOwnAnchor(self) -> RectanglePoint: ...
    def setLabelAnchor(self, aAnchorPoint: RectanglePoint) -> None: ...
    def getLabelAnchor(self) -> RectanglePoint: ...
    def setOffset(self, aOffsetVector: sequence< double >) -> None: ...
    def getOffset(self) -> list[float]: ...
